#pragma once

#include "lumacs/minibuffer_mode.hpp" // For MinibufferMode enum

// Custom hash for MinibufferMode to use it as a key in std::unordered_map
namespace std {
    template <>
    struct hash<lumacs::MinibufferMode> {
        size_t operator()(const lumacs::MinibufferMode& mode) const {
            return static_cast<size_t>(mode);
        }
    };
} // namespace std
